import { LCDClient } from "@osmonauts/lcd";
import { setPaginationParams } from "@osmonauts/helpers";
export class LCDQueryClient extends LCDClient {
  constructor({
    restEndpoint
  }) {
    super({
      restEndpoint
    });
  }
  /* Params queries the parameters of slashing module */


  async params(_params = {}) {
    const endpoint = `cosmos/slashing/v1beta1/params`;
    return await this.request(endpoint);
  }
  /* SigningInfo queries the signing info of given cons address */


  async signingInfo(params) {
    const options = {
      params: {}
    };

    if (typeof (params === null || params === void 0 ? void 0 : params.consAddress) !== "undefined") {
      options.params.cons_address = params.consAddress;
    }

    const endpoint = `cosmos/slashing/v1beta1/signing_infos/${params.consAddress}`;
    return await this.request(endpoint, options);
  }
  /* SigningInfos queries signing info of all validators */


  async signingInfos(params = {
    pagination: undefined
  }) {
    const options = {
      params: {}
    };

    if (typeof (params === null || params === void 0 ? void 0 : params.pagination) !== "undefined") {
      setPaginationParams(options, params.pagination);
    }

    const endpoint = `cosmos/slashing/v1beta1/signing_infos`;
    return await this.request(endpoint, options);
  }

}